# $Revision: 1.7 $, $Date: 2009/10/23 07:57:55 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Round
Summary:	Math::Round - Perl extension for rounding numbers
Summary(pl.UTF-8):	Math::Round - perlowe rozszerzenie do zaokrąglania liczb
Name:		perl-Math-Round
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	552cef2753b246f97a6e20d8dee66e7c
URL:		http://search.cpan.org/dist/Math-Round/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Round supplies functions that will round numbers in different
ways. The functions round and nearest are exported by default; others
are available as described in the manual. "use ... qw(:all)" exports
all functions.

%description -l pl.UTF-8
Math::Round udostępnia funkcje zaokrąglające liczby w różny sposób.
Funkcje round i nearest są eksportowane domyślnie; inne są dostępne w
sposób opisany w manualu. "use ... qw(:all)" eksportuje wszystkie
funkcje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/*.pm
%dir %{perl_vendorlib}/auto/Math/Round
%{perl_vendorlib}/auto/Math/Round/autosplit.ix
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Round.spec,v $
Revision 1.7  2009/10/23 07:57:55  amateja
- release 1

Revision 1.6  2007/12/24 14:06:03  qboosh
- generic URL

Revision 1.5  2007-12-24 01:28:26  zbyniu
- up to 0.06

Revision 1.4  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.2  2005/11/03 00:05:26  qboosh
- desc fix, pl, missing dir

Revision 1.1  2005/10/30 18:57:11  glen
- new
